[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TDeflater

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Child of TCompressor that implements the Deflate compression method

## Declaration

Source position: zipper.pp line 330

`type TDeflater = class(TCompressor)`
`public`
`constructor Create(); override;` |  | Constructor for the class instance
`procedure Compress; override;` |  | Performs compression using the Deflate algorithm
`class function ZipID; override;` |  | Zip algorithm ID
`class function ZipVersionReqd; override;` |  | Required version
`function ZipBitFlag; override;` |  | Bitness flag
`property CompressionLevel: Tcompressionlevel; [rw]` |  | Indicates the compression level applied in the Compress method
`end;`

## Inheritance

`TDeflater` |  | Child of TCompressor that implements the Deflate compression method
`TCompressor` |  | Compressor object
`TObject`